posix_isatty
posix_mkfifo
POSIX Functions
PHP Manual

# posix_kill

(PHP 4, PHP 5)

posix_kill — Send a signal to a process

### Description

bool posix_kill ( int `$pid` , int `$sig` )

Send the signal `sig` to the process with the process identifier `pid` .

### Parameters

`pid`

  The process identifier.

`sig`

  One of the PCNTL signals constants.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- The kill(2) manual page of the POSIX system, which contains additional information about negative process identifiers, the special pid 0, the special pid -1, and the signal number 0.

posix_isatty
posix_mkfifo
POSIX Functions
PHP Manual